/*
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM
 *
 * com.ibm.rational.wvcm.stp.cc.CcFindmergeListener
 *
 * (C) Copyright IBM Corporation 2011.  All Rights Reserved.
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or 
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.rational.wvcm.stp.cc;


/**
 * Interface that extends the basic CcListener class. It is used by the Findmerge API's
 *
 */
public interface CcFindmergeListener extends CcListener {

    /** 
     * As each mergeCandidate is found, the mergeCandidatesFound() method is 
     * called. Used by {@link CcView#doFindMergeCandidates(CcFindmergeListener, com.ibm.rational.wvcm.stp.cc.CcView.FindmergeFlag[], CcVobResource, java.util.List, javax.wvcm.Feedback)}findMergeCandidates
     * and {@link CcView#doFindMergeCandidatesFromChangeSets(CcFindmergeListener, com.ibm.rational.wvcm.stp.cc.CcView.FindmergeFlag[], java.util.List, javax.wvcm.Feedback)}
     * 
     * @param element The merge candidate just returned by the server.
     */
    public void mergeCandidateFound(CcMergeElement element);    
}
